aboutsummaryrefslogtreecommitdiffstats
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/install.sh b/install.sh
index d4a9d90..04c1c0a 100755
--- a/install.sh
+++ b/install.sh
@@ -6,8 +6,9 @@ if [[ "$#" -lt 1 || (
! ( ( "$1" == "firefox" && "$#" -eq 1 ) ||
( "$1" == "chrome" && "$#" -eq 2 && ${#2} -eq 32 ) ||
( "$1" == "vivaldi" && "$#" -eq 2 && ${#2} -eq 32 ) ||
+ ( "$1" == "chromebeta" && "$#" -eq 2 && ${#2} -eq 32 ) ||
( "$1" == "chromium" && "$#" -eq 2 && ${#2} -eq 32 ) ) ) ]]; then
- echo "Usage: $0 <chrome EXTENSION_ID | chromium EXTENSION_ID | vivaldi EXTENSION_ID | firefox>"
+ echo "Usage: $0 <chrome EXTENSION_ID | chromebeta EXTENSION_ID | chromium EXTENSION_ID | vivaldi EXTENSION_ID | firefox>"
exit 2
fi
@@ -33,6 +34,8 @@ case "$OS $BROWSER" in
MANIFEST_LOCATION="$HOME/.config/vivaldi/NativeMessagingHosts";;
"Darwin chrome")
MANIFEST_LOCATION="$HOME/Library/Application Support/Google/Chrome/NativeMessagingHosts";;
+ "Darwin chromebeta")
+ MANIFEST_LOCATION="$HOME/Library/Application Support/Google/Chrome Beta/NativeMessagingHosts";;
"Darwin chromium")
MANIFEST_LOCATION="$HOME/Library/Application Support/Chromium/NativeMessagingHosts";;
esac
@@ -43,7 +46,7 @@ APP_NAME="com.rsnous.tabfs"
EXE_PATH=$(pwd)/fs/tabfs
case "$BROWSER" in
- chrome | chromium | vivaldi)
+ chrome | chromium | chromebeta | vivaldi)
EXTENSION_ID=$2
MANIFEST=$(cat <<EOF
{